**`Sayeem Hussain`[NAME]** -NL- **`+447535520188`[PHONES_PHONE]** **`sayeem88@gmail.com`[EMAILS_EMAIL]** www.github.com/sayeem88 www.linkedin.com/in/sayeemhussain -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- Languages: C, C++, Swift, Objective-C -NL- Technologies: REST, GraphQL, HTTP, Web Sockets, JSON/XML -NL- Tools: Git, Xcode, Postman, Charles Proxy, Cocoapods, Carthage, Fastlane, CircleCI -NL- Design Patterns: MVVM, MVC, POP, OOP, RESTful, iOS concurrent, SOLID, Clean Architecture. -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`SENIOR SOFTWARE DEVELOPER`[EMPLOYER_ROLE]**, **`STEALTH STARTUP`[EMPLOYER_COMPANY_NAME]**; LONDON, UNITED KINGDOM — AUG 2017 - SEPT 2019 -NL- Series A backed by Sir Michael Moritz. Worked with a high proﬁled CEO. Mobile & Web chat -NL- app. I had ownership over the iOS client which in turn made me responsible for pushing new -NL- features, maintaining the apps architecture and general health which includes: real-time -NL- performance, crash rates and test coverage. Built the iOS app from the ground up using Swift. -NL- Worked in a very rapid and innovative growth hacking manner. Using a very data-driven -NL- approach for feature building. -NL- - Core features: Feeds, 1:1 chats, large asynchronous and synchronous (time limit) public group -NL- chats, text/audio/image messages, likes, mentions, replies, hashtags, banning, favoriting, -NL- proﬁles, custom in-app and push notiﬁcations (APN), payments, user stories, user-on-boarding, -NL- waitlist, sign-up, sign-in. And a copious amount of features that had a short lifespan. -NL- - Monetizations: Ads, in-app purchases (subscriptions) -NL- - Gamiﬁcation: User reputation, badges and tiers, voting and ranking system. -NL- - Virality: Referrals, sharing, universal/deep links for campaign funnels (Firebase, FB, AppsFlyer) -NL- - Analytics: Firebase, AppsFlyer, Segment, Looker -NL- - Tech: HTTP, Web Sockets, REST, GraphQL, MVC, MVVM, SOLID principles, clean architecture, -NL- continuous integration: Fastlane & CircleCI. -NL- I had substantial involvement in product. Participating in product ideations, reﬁnement -NL- sessions, UI/UX design sessions, giving regular company updates and demos. -NL- **`SOFTWARE ENGINEER`[EMPLOYER_ROLE]**, **`FLURRY LIVE`[EMPLOYER_COMPANY_NAME]**; SAN FRANSISCO, CA — OCT 2016 - JAN 2017 -NL- Flurry Live was a live streaming mobile app targeting the teenage demographic. I worked -NL- directly under CEO Jeff Fluhr (founder of StubHub). Implemented features for the iOS app in -NL- Swift: such as private messaging, phone number sign up, Instagram login, keyboard redesigns, -NL- sticker & emojis, proﬁle screens and analytics using Firebase, Mixpanel and Fabric. Flurry was -NL- liquidated during my employment. -NL- **`SOFTWARE ENGINEER`[EMPLOYER_ROLE]**, **`YAPSTONE`[EMPLOYER_COMPANY_NAME]**; WALNUT CREEK, CA — JAN 2015 - SEPT 2016 -NL- YapStone is a full-stack payments solution in the vacation and rental space. I helped to build an -NL- iOS payments app called RentPayment written in Swift. This would be a portal for a billion -NL- dollars worth of yearly transactions. After v1.0 launch I worked on 4 features - Analytics, -NL- AutoPay, Credit Reporting and OCR for checks. -NL- **`SOFTWARE ENGINEERING INTERN`[EMPLOYER_ROLE]**,**` SLING MEDIA`[EMPLOYER_COMPANY_NAME]**; FOSTER CITY, CA — MAR 2014 - SEPT 2014 -NL- Sling Media is a pioneering TV streaming company. I Developed a prototype feature, for the -NL- SlingPlayer for iPad (4+ stars) written in Objective-C. Using Sling DIAL (Discovery and Launch), -NL- a proprietary Air-Play-like technology, I implemented a way to stream media to the devices: -NL- Google Chromecast and Xbox One. -NL- **`Education`[EDUCATION_HEADING]** -NL- **`California State University, East Bay `[EDUCATION_INSTITUTE]**— **`M.S`[EDUCATION_DEGREE]**. in **`Computer Science`[EDUCATION_COURSE]**, 2016 -NL- **`Queen Mary, University of London`[EDUCATION_INSTITUTE]** — **`B.S`[EDUCATION_DEGREE]**. in Physics and Astronomy, 2011 -NL- Other products -NL- HealthThings — Apple Watch app Written in Swift. Built a watchOS health app for Kloog Inc. -NL- Tracks your steps and displays your energy used throughout the day; information is pulled from -NL- HealthKit. Also, supports notiﬁcations that prompts the user to let the app know how they are -NL- feeling emotionally, mentally and physically and sends that information to the Kloog server. -NL- Kloog has been acquired by Facebook. -NL- 